List automations OAuth Scope: automations:read

Retrieve automations for a publication.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object

Query parameters

expand[]enumOptional
Optional list of expandable objects.
Allowed values:
limitintegerOptional
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
pageintegerOptional

Pagination returns the results in pages. Each page contains the number of results specified by the limit (default: 10).
If not specified, results 1-10 from page 1 will be returned.

Response

OK
datalist of objects or null
limitinteger or null
The limit placed on the results. If no limit was specified in the request,this defaults to 10.
pageinteger or null>=0Defaults to 1
The page number the results are from. If no page was specified in the request, this defaults to page 1.
total_resultsinteger or null
The total number of results from all pages.
total_pagesinteger or null
The total number of pages.

Errors